import { confirm_action } from "./confirm_action.js";
import { delete_request } from "./delete_request.js";
import { searcher } from "./searcher.js";

export class delete_product_window extends confirm_action {
    #target;

    constructor(target) {
        super();
        this.#target = target;
    }

    get _title() {
        return "Do you want remove it?";
    }

    get _description() {
        let content = "You try to remove " + this.#target.name + ". ";
        content += "You can not restore it, when confirm.";

        return content;
    }

    async _action () {
        new delete_request(this.#target).connect();
        searcher.reload();
    }
}   
